Page MenuHomePhabricator

Enable MCR migration stage "write both, read new" on testwiki
Closed, ResolvedPublic

Description

To try out the new, MCR enabled database schema, we want this setting on testwiki:

$wgMultiContentRevisionSchemaMigrationStage = SCHEMA_COMPAT_WRITE_BOTH | SCHEMA_COMPAT_READ_NEW;

This keeps writing to the old schema as well, so we can still easily back out of the migration.
We could also do this on a testwiki dedicated to commons, see T197616: Create a production test wiki in group0 to parallel Wikimedia Commons.

NOTE: this requires populateContentTables.php to be run first.

Event Timeline

daniel created this task.Jun 27 2018, 11:26 AM
daniel updated the task description. (Show Details)Jun 27 2018, 3:44 PM

Note that T183488 needs to be completed before this can proceed, unless we're sure testwiki doesn't try to read revisions from any other wiki's DB.

Change 454534 had a related patch set uploaded (by Daniel Kinzler; owner: Daniel Kinzler):
[operations/mediawiki-config@master] Set MCR migration to read-both/read-new on testwiki.

https://gerrit.wikimedia.org/r/454534

Addshore moved this task from incoming to monitoring on the Wikidata board.Sep 19 2018, 7:08 AM

Change 454534 merged by jenkins-bot:
[operations/mediawiki-config@master] Set MCR migration to write-both/read-new on testwiki.

https://gerrit.wikimedia.org/r/454534

Mentioned in SAL (#wikimedia-operations) [2018-09-20T15:56:20Z] <anomie@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Setting MCR migration stage to write-both/read-new on testwiki (T198309) (duration: 00m 59s)

Anomie closed this task as Resolved.Sep 20 2018, 4:02 PM
Anomie claimed this task.